var mysql = require('mysql');

function start(db_host, db_user, db_pass, db_name, logger) {
    var connection = mysql.createConnection({
        host: db_host,
        user: db_user,
        password: db_pass,
        database: db_name
    });

    logger.info("Connecting to db");
    connection.connect();

    connection.on('error', function(err) {
        logger.error("DB error: " + err.code); // 'ER_BAD_DB_ERROR'
    });


    return connection;
}

exports.start = start
